(Errore apt) Problem with MergeList /var/lib/apt/lists

 

Questo errore mi è capitato poco fa, dopo aver installato Debian GNU/kFreeBSD testing, ma può succedere con tutte le distro che usano apt. L'errore completo apparso nel terminale, è il seguente:

 

E: MMap dinamica esaurita. Aumentare la dimensione di APT::Cache-Limit. Il valore attuale è: 25165824 (man 5 apt.conf).
Lettura elenco dei pacchetti… Errore
E: MMap dinamica esaurita. Aumentare la dimensione di APT::Cache-Limit. Il valore attuale è: 25165824 (man 5 apt.conf).
E: Si è verificato un errore nell'elaborare grcm (NewFileDesc1)
E: Problem with MergeList /var/lib/apt/lists/debian.fastweb.it_debian_dists_wheezy_main_i18n_Translation-pt
E: L'elenco dei pacchetti o il file di stato non può essere letto o aperto.
 

 

si risolve con:

 

# rm /var/lib/apt/lists/* -vf

# apt-get update

 

 

enjoy 😉

Post simili (quasi):

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *